---
title: "Retrieve all keyword trackers"
slug: "retrieve-tracker-details-v2settingstrackers-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve tracker details (/v2/settings/trackers)

Get/v2/settings/trackers

Retrieves details of all keyword trackers in the system or in a given workspace.

When accessed through a Bearer token authorization method, this endpoint requires the 'api:settings:trackers:read' scope.

Query parametersworkspaceIdstring

The ID of the workspace the keyword trackers are in. When empty, all trackers in all workspaces are returned.

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='61509288-0edf-40f2-9eda-245e37e0e1ba'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
keywordTrackers Array of object (KeywordTracker)   

A list of keyword trackers.

object  

The definition of a tracker.

trackerIdstring    

The unique identifier of the tracker.

Example6840000929075400007
trackerNamestring    

The name of the tracker.

ExampleCompetitors
workspaceIdstring    

The id of the workspace the tracker is in.

Example623457276584334
languageKeywords Array of object (TrackerLanguageKeyword)   

The words and phrases defined for the tracker. Each languagueKeywords object contains the words and phrases defined in the specified language.

object  

The tracker keywords definition.

languagestring    

The ISO 639-2/B language code for the language the keywords are in. When set to "mul" (ISO 639-2/B code for multiple languages), the keywords are relevant for all languages.

Exampleukr
keywords Array of string   

A list of words and phrases in the specified language.

string    
includeRelatedFormsboolean    

When true the tracker identifies words in different forms, for example, if the keyword is "organize", "organized" and "organizes" are also included.

Examplefalse

affiliationstring    

Sets whether to track the keywords when said by people affiliated to a specific company. Options are: "Anyone", "Company", "NonCompany".

ExampleNonCompany
partOfQuestionboolean    

When true, only looks for the keywords when they are part of a question.

Examplefalse
saidAtstring    

Sets whether the words and phrases are tracked at the beginning, end or anytime in a call. Options are: "Anytime", "First", or "Last". For “First” and “Last” see the saidAtInterval and saidAtUnit fields to see how long to track the keywords for.

ExampleAnytime
saidAtIntervalinteger  (int32)    

Sets the period of time to check if the words or phrases came up in the call (according to the saidAt setting). This can be either minutes or percent depending on the value in the saidAtUnit parameter.

saidAtUnitstring    

Sets whether the time to look for keywords is in minutes or a percentage of the call duration (according to the saidAt setting).

Exampleminutes
saidInTopics Array of string   

Sets the topics in the call the tracker terms should be picked up in.

string    
filterQuerystring    

A filter that defines which calls to include when searching for the keyword tracker. The filter is in JSON and is in the URL of the search page. Example: a filter for all outbound calls { "type": "And", "filters": [ { "type": "CallDirection", "terms": ["OUTBOUND"] } ] }

Example{"type":"And","filters":[{"type":"CallDirection","terms":["OUTBOUND"]}]}
createdstring    

Sets the date and time the tracker was created, in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2018-02-17T02:30:00-08:00
creatorUserIdstring    

The Id of the team member who created the tracker. Null when the tracker is built-in.

Example234599484848423
updatedstring    

The date and time the tracker settings were last updated, in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2018-02-17T02:30:00-08:00
updaterUserIdstring    

The Id of the team member who updated the tracker. Null when the tracker is built-in.

Example234599484848423

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='5fb1bdd2-eae6-45a8-8cbd-2253cb9e9dc3'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='d88e5dab-2a47-4e3f-abdd-29f8185bc563'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

Workspace not found

<select class='api-response-data' aria-label='Media type'><option value='b88a23ab-15a8-4516-a9c7-1dec2d47903e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='e2adb99e-255b-44ee-ab53-de500215d898'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='33de4203-09b9-423d-962e-9e9f18a35b0e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
